Bug 132084 - system-config-samba 1.2.9-2 does not maintain users properly
system-config-samba 1.2.9-2 does not maintain users properly
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2004-09-08 13:58 EDT by Lech Lobocki
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-23 11:49:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lech Lobocki 2004-09-08 13:58:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)

Description of problem:
After adding a user, his name goes to smbusers but is neither added to
smbpasswd nor becomes visible in the dialog box.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try add any username in the dialog box.

Actual Results:  nothing visible, but the username entered is stored
in smbusers and cannot be re-entered again. smbpasswd is neither
created nor updated.

Expected Results:  username written to smbpasswd and visible in the
dialog box.

Additional info:

Output dumped to the terminal:

[root@chaos samba]# system-config-samba   [HERE I ENTER THE USERNAME]

When run by root:
    smbpasswd [options] [username]
    smbpasswd [options]

  -L                   local mode (must be first option)
  -h                   print this usage message
  -s                   use stdin for password prompt
  -c smb.conf file     Use the given path to the smb.conf file
  -D LEVEL             debug level
  -r MACHINE           remote machine
  -U USER              remote username
extra options when run by root or in local mode:
  -a                   add user
  -d                   disable user
  -e                   enable user
  -i                   interdomain trust account
  -m                   machine trust account
  -n                   set no password
  -w PASSWORD          ldap admin password
  -x                   delete user
  -R ORDER             name resolve order
Comment 1 Christopher J. Bottaro 2004-09-10 23:21:04 EDT
i'm experiencing this bug exactly as described above. 
Comment 2 Nils Philippsen 2004-09-15 08:44:19 EDT
Should be fixed in system-config-samba-1.2.15 which should hit
updates-testing shortly.

Note You need to log in before you can comment on or make changes to this bug.